summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/haml-rails/Manifest1
-rw-r--r--dev-ruby/haml-rails/haml-rails-2.1.0.ebuild30
-rw-r--r--dev-ruby/hiera-eyaml/Manifest1
-rw-r--r--dev-ruby/hiera-eyaml/hiera-eyaml-3.4.0.ebuild56
-rw-r--r--dev-ruby/net-ssh-gateway/net-ssh-gateway-2.0.0-r1.ebuild31
-rw-r--r--dev-ruby/niceogiri/niceogiri-1.1.2-r1.ebuild4
-rw-r--r--dev-ruby/optionable/optionable-0.2.0-r1.ebuild4
-rw-r--r--dev-ruby/paramesan/paramesan-1.0.1-r1.ebuild2
-rw-r--r--dev-ruby/pdf-reader/pdf-reader-2.11.0.ebuild4
9 files changed, 95 insertions, 38 deletions
diff --git a/dev-ruby/haml-rails/Manifest b/dev-ruby/haml-rails/Manifest
index 65e7e23658dc..8a9829d9a1f6 100644
--- a/dev-ruby/haml-rails/Manifest
+++ b/dev-ruby/haml-rails/Manifest
@@ -1 +1,2 @@
DIST haml-rails-2.0.1.gem 13824 BLAKE2B 24fded0f576d92083a10737954e1a32eb8e5f6a8db11fabc55ac0de3b17377419606d44f5b2e202e0733d9f538166172a6b5f7e08ee7efd71ddf7d3e7f6c9107 SHA512 7ccf9d618ca7b7c1681a063c51cf9dae9ce5e245479e3e7ba87a170ee1ba3eb35ff59061195928792f19f7e33a12ae7de3d5a36d35958e2a1761a12dc51b26d0
+DIST haml-rails-2.1.0.gem 13824 BLAKE2B 07a07966f88a4364d917f38518b184157fcf27bf0bcbc336369607df49baa68b4e54ab13d8980a0e76ab424e28a4b4c1bf4a6e37d3a06525bc01a62d9b1626d2 SHA512 c051ed4b776c95c1bae97b544d95512ece466c665c03d615e9f583fffb6a1474cb05a22d22402cab282bf8ede8ca64ffc60b8607fbff1fe188d81ebc3fb82776
diff --git a/dev-ruby/haml-rails/haml-rails-2.1.0.ebuild b/dev-ruby/haml-rails/haml-rails-2.1.0.ebuild
new file mode 100644
index 000000000000..f3fa83bdf986
--- /dev/null
+++ b/dev-ruby/haml-rails/haml-rails-2.1.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Provides Haml generators for Rails 4"
+HOMEPAGE="https://github.com/haml/haml-rails"
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/actionpack-5.1:*
+ >=dev-ruby/activesupport-5.1:*
+ >=dev-ruby/railties-5.1:*
+ >=dev-ruby/haml-4.0.6:*
+"
+
+ruby_add_bdepend "test? ( >=dev-ruby/rails-5.1 )"
+
+all_ruby_prepare() {
+ sed -i -e "/[Bb]undler/d" Rakefile test/test_helper.rb || die
+}
diff --git a/dev-ruby/hiera-eyaml/Manifest b/dev-ruby/hiera-eyaml/Manifest
index 8bb06486fe67..4168aa69aba0 100644
--- a/dev-ruby/hiera-eyaml/Manifest
+++ b/dev-ruby/hiera-eyaml/Manifest
@@ -1 +1,2 @@
DIST hiera-eyaml-3.3.0.tar.gz 60385 BLAKE2B 222c0e531a0b713a0d996895168229468f131d9ce1dd786ef8337b5d9ec8a322e336bd12191253fb09e11d60682491081acd5b946a7257b6183e6533fe924811 SHA512 4bb81b87244177a4ab3ca80d0a5e67a8e6534dbdf4d489ca9f918ea97981e50d203e441cff6a35996878b6fa91815e00bdb8261e19359bb3f00efc14b1f25e0d
+DIST hiera-eyaml-3.4.0.tar.gz 60920 BLAKE2B 73a2a5c15d79b8084f226173667fc29875ea4614a09030171f81a1b2c632d45071e8952765afb9900c695643016117f9e1a28f9cefe7a19a9de67315ed4d139b SHA512 64443cc49e66dd95cb85d5a2e26a50b5c60ef78dc21354fb5a3760f4e1f0005936d46ff54232e2f2e1b250628a4844b79a8ca267c4d72ab53ef318cde10a074b
diff --git a/dev-ruby/hiera-eyaml/hiera-eyaml-3.4.0.ebuild b/dev-ruby/hiera-eyaml/hiera-eyaml-3.4.0.ebuild
new file mode 100644
index 000000000000..db643f2513ac
--- /dev/null
+++ b/dev-ruby/hiera-eyaml/hiera-eyaml-3.4.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md PLUGINS.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Encrypted YAML backend for hiera"
+HOMEPAGE="https://github.com/voxpupuli/hiera-eyaml"
+SRC_URI="https://github.com/voxpupuli/hiera-eyaml/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+ruby_add_rdepend "
+ >=dev-ruby/highline-1.6.19:*
+ dev-ruby/optimist
+"
+
+ruby_add_bdepend "test? (
+ dev-util/cucumber
+ ~dev-util/aruba-0.6.2
+ dev-ruby/hiera-eyaml-plaintext
+)"
+
+BDEPEND+=" test? ( || ( app-admin/puppet-agent app-admin/puppet ) )"
+
+all_ruby_prepare() {
+ # Fix highline dependency to be compatible with more versions.
+ sed -i -e '/highline/ s/~>/>=/' \
+ -e '/gem.files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ sed -i -e "s:/tmp:${T}:" \
+ features/sandbox/puppet/environments/local/modules/test/manifests/run.pp \
+ features/sandbox/puppet-hiera-merge/environments/local/modules/test/manifests/run.pp \
+ features/sandbox/puppet-envvar/environments/local/modules/test/manifests/run.pp \
+ features/puppet.feature
+}
+
+each_ruby_prepare() {
+ # Run tests with the correct ruby interpreter
+ sed -i -e 's:I run `eyaml:I run `'${RUBY}' '"${S}"'/bin/eyaml:' features/*.feature || die
+
+}
+
+each_ruby_test() {
+ CUCUMBER_PUBLISH_QUIET=true ${RUBY} -S cucumber --format progress features || die
+}
diff --git a/dev-ruby/net-ssh-gateway/net-ssh-gateway-2.0.0-r1.ebuild b/dev-ruby/net-ssh-gateway/net-ssh-gateway-2.0.0-r1.ebuild
deleted file mode 100644
index 1c3e80c8afd2..000000000000
--- a/dev-ruby/net-ssh-gateway/net-ssh-gateway-2.0.0-r1.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
-
-RUBY_FAKEGEM_EXTRADOC="CHANGES.txt README.md"
-RUBY_FAKEGEM_GEMSPEC="net-ssh-gateway.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="A simple library to assist in enabling tunneled Net::SSH connections"
-HOMEPAGE="https://github.com/net-ssh/net-ssh-gateway"
-SRC_URI="https://github.com/net-ssh/net-ssh-gateway/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="2.0"
-KEYWORDS="amd64 ppc ppc64 x86"
-IUSE=""
-
-ruby_add_bdepend "dev-ruby/minitest:5
- dev-ruby/mocha:1.0"
-
-ruby_add_rdepend ">=dev-ruby/net-ssh-4.0.0:*"
-
-all_ruby_prepare() {
- sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
-
- sed -i -e '/bundler/ s:^:#:' Rakefile test/net/ssh/gateway_test.rb || die
- sed -i -e 's:mocha/mini_test:mocha/minitest:' test/net/ssh/gateway_test.rb || die
-}
diff --git a/dev-ruby/niceogiri/niceogiri-1.1.2-r1.ebuild b/dev-ruby/niceogiri/niceogiri-1.1.2-r1.ebuild
index a641862dc116..5cdf9a384ecd 100644
--- a/dev-ruby/niceogiri/niceogiri-1.1.2-r1.ebuild
+++ b/dev-ruby/niceogiri/niceogiri-1.1.2-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+USE_RUBY="ruby30 ruby31 ruby32"
RUBY_FAKEGEM_EXTRADOC="README.md"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
diff --git a/dev-ruby/optionable/optionable-0.2.0-r1.ebuild b/dev-ruby/optionable/optionable-0.2.0-r1.ebuild
index b1281a2fea0c..1efe61b5dd62 100644
--- a/dev-ruby/optionable/optionable-0.2.0-r1.ebuild
+++ b/dev-ruby/optionable/optionable-0.2.0-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+USE_RUBY="ruby30 ruby31 ruby32"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
diff --git a/dev-ruby/paramesan/paramesan-1.0.1-r1.ebuild b/dev-ruby/paramesan/paramesan-1.0.1-r1.ebuild
index 91e14e9abebf..647041a3e465 100644
--- a/dev-ruby/paramesan/paramesan-1.0.1-r1.ebuild
+++ b/dev-ruby/paramesan/paramesan-1.0.1-r1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+USE_RUBY="ruby30 ruby31 ruby32"
RUBY_FAKEGEM_EXTRADOC="README.md"
diff --git a/dev-ruby/pdf-reader/pdf-reader-2.11.0.ebuild b/dev-ruby/pdf-reader/pdf-reader-2.11.0.ebuild
index 118c2fcdefa1..259f7a087e5a 100644
--- a/dev-ruby/pdf-reader/pdf-reader-2.11.0.ebuild
+++ b/dev-ruby/pdf-reader/pdf-reader-2.11.0.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
GITHUB_USER=yob
-USE_RUBY="ruby27 ruby30 ruby31"
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"